## org.plovr
Class CheckedSoySyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.plovr.CompilationException
                  org.plovr.CheckedSoySyntaxException

All Implemented Interfaces:
  Serializable

    public final class CheckedSoySyntaxException

extends CompilationException

See Also:
  Serialized Form

Constructor Summary
`CheckedSoySyntaxException(PlovrSoySyntaxException e)`
`CheckedSoySyntaxException(SoySyntaxException e)`

Method Summary
`org.plovr.CompilationError` `createCompilationError()`
`String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckedSoySyntaxException

    public CheckedSoySyntaxException(SoySyntaxException e)

### CheckedSoySyntaxException

    public CheckedSoySyntaxException(PlovrSoySyntaxException e)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### createCompilationError

    public org.plovr.CompilationError createCompilationError()

  Specified by:
    `createCompilationError` in class `CompilationException`